<?php

$config = array(
	'EvCore' => array(
		'route' => array(
			'Page' => array(
				'controller' => 'ev_core.pages',
				'action' => 'view',
				'plugin' => 'EvCore'
			),
			'User' => array(
				'controller' => 'ev_core.users',
				'action' => 'login',
				'plugin' => 'EvCore'
			)
		),

		'remember_last_admin_filter' => false,
		'remember_last_admin_results_per_page' => false,
		'remember_last_admin_page_number' => false,
		'remember_last_admin_sort_field' => false,

		'allowed_user_group_registration_ids' => array(3),
		'default_user_group_registration_id' => 3,

		// When enabled, this will forcefully redirect any direct controller urls
		// to a valid route alias should one exist. This should genrally be kept
		// on across all websites, however may interfier with specialist setups.
		'force_route_alias_redirects' => true,

		// define project specific Google reCAPTCHA details below. reCAPTCHA elements
		// will automatically show on login and registration forms when login or
		// registration interactions fail by the number of allowed attempts defined
		'userReCaptcha' => array(
			'secret' => '', // replace with site specific secret from https://www.google.com/recaptcha/admin#list

			'siteKey' => '', // replace with site specific siteKey from https://www.google.com/recaptcha/admin#list

			'login' => array(
				'showAfterFailedAttempts' => 5, // the total number of failed login attempts before reCAPTCHA displays
			),

			'register' => array(
				'showAfterFailedAttempts' => 5, // the total number of failed registration attempts before reCAPTCHA displays
			)
		)
	)
);
